debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: Обновление до 6.01 [РЕШЕНО]  (Прочитано 1824 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн alastor

  • Topic Author
  • Сообщений: 189
Обновление до 6.01 [РЕШЕНО]
« : 29 Апрель 2011, 21:18:18 »
Всем Доброго времени суток!
После обновления пропадает курсор мышки, нашел ссылку http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=619019 , как я понял проблема в xserver-xorg-video-intel или linux-image-2.6.32-5-686, самое интересное для меня, если ставить 6.01 с KDE-шным DE, проблем нет, но ноут полюбил Xfce, как правильно проапгрейдиться, сейчас переустановил с CD 6.0, чтоб не тянул обновления.
« Последнее редактирование: 11 Июнь 2011, 11:54:51 от Пользователь »
 

Оффлайн Udachnik

  • Сообщений: 1438
Re: Обновление до 6.01
« Ответ #1 : 29 Апрель 2011, 21:53:24 »
Говорят, что баг из апстрима. Достаточно не обновлять ядро, всё остальное обновлять можно. Зафризь само ядро и обновляйся до 6.0.1
Цитировать
So downgrading your kernel to the previous revision (2.6.32-30) should
make your cursor become available again
Цитировать
Yes, it is probably a kernel problem.
And yes downgrading does fix it.
 

Оффлайн alastor

  • Topic Author
  • Сообщений: 189
Re: Обновление до 6.01
« Ответ #2 : 29 Апрель 2011, 21:59:06 »
Цитировать
Зафризь само ядро и обновляйся до 6.0.1
Как это сделать, что это ''зафризить''?
Так почему с KDE-шным декстопом такого нет, какая разница  :du_ma_et:
 

Оффлайн Udachnik

  • Сообщений: 1438
Re: Обновление до 6.01
« Ответ #3 : 29 Апрель 2011, 22:08:54 »
Про KDE не знаю, а заморозить версию ядра можно командой:
aptitude hold linux-image-2.6.32-5-686или
aptitude hold linux-image-2.6.32-5-amd64Опять-таки, в обсуждении бага  рассчитывают, что в следующей версии ядра ошибку исправят.
 

Оффлайн alastor

  • Topic Author
  • Сообщений: 189
Re: Обновление до 6.01
« Ответ #4 : 29 Апрель 2011, 22:31:36 »
Udachnik, я правильно понял, в такой последовательности aptitude hold linux-image-2.6.32-5-686 aptitude dist-upgrade
 

Оффлайн Udachnik

  • Сообщений: 1438
Re: Обновление до 6.01
« Ответ #5 : 29 Апрель 2011, 22:34:49 »
Да, всё так. Только вместо dist-upgrade лучше использовать просто upgrade. Ты же не между дистрибутивами обновляешься.
 

Оффлайн alastor

  • Topic Author
  • Сообщений: 189
Re: Обновление до 6.01
« Ответ #6 : 29 Апрель 2011, 23:17:31 »
Udachnik

# aptitude hold linux-image-2.6.32-5-686
Следующие частично установленные пакеты будут настроены:
desktop4shared{b}
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 53 пакетов не обновлено.
Необходимо получить 0 B архивов. После распаковки 0 B будет занято.
Следующие пакеты имеют неудовлетворённые зависимости:
desktop4shared: Зависит: groovy но его установка не запланирована.
Зависит: libslf4j-java но его установка не запланирована.
Зависит: liblogback-java но его установка не запланирована.
Зависит: libmiglayout-java но его установка не запланирована.
Зависит: libwsdl4j-java но его установка не запланирована.
Зависит: libaxis-java но его установка не запланирована.
Зависит: libglazedlists-java но его установка не запланирована.
Internal error: found 2 (choice -> promotion) mappings for a single choice.
Следующие действия разрешат зависимости:

Удалить следующие пакеты:
1) desktop4shared


Что за пакет, его нет на http://packages.debian.org/search?keywords=+desktop4shared+&searchon=names&suite=all&section=all&sourceid=mozilla-search
« Последнее редактирование: 11 Июнь 2011, 11:56:32 от Пользователь »
 

Оффлайн alastor

  • Topic Author
  • Сообщений: 189
Re: Обновление до 6.01
« Ответ #7 : 29 Апрель 2011, 23:47:06 »
Udachnik, спасибо! апгрейд прошел нормально, теперь все ок.  :ya_hoo_oo:
 

Теги: